declare @gKey uniqueidentifier; set @gKey = newid()
declare @jKey uniqueidentifier; set @jKey = newid()
declare @aKey uniqueidentifier; 

-- first off: create new event
insert EVENT_MASTER (gKey, Source, Created_By ) values (@gKey, 2, 'Michael')

-- create email jog and add recipients
insert OUT_EMAIL (gKey,jKey,Subject,Body,ReplyTo,[From],IncludeKey) 
values (@gKey,@jKey,'Please reply to this one', null, 'replywhatcanbomerangdo@fuel9.com','"What Can Boomerang Do" <whatcanboomerangdo@fuel9.com>',0)
insert OUT_EMAIL_RECIPIENT (jKey,[Name],Email) 
values (@jKey,'Display Name','michael@fuel9.com') 

-- call the "email body" report
set @aKey = newid()
insert EVENT_CONTENT (gKey,jKey,aKey,Src_Type,Path, IsAttachment) values (@gKey,@jKey,@aKey,2,'Misc/Email_Content', 0)
insert CONTENT_PARAMETER (aKey,[Name],[Value]) values (@aKey,'Greeting_Phrase','Dear')
insert CONTENT_PARAMETER (aKey,[Name],[Value]) values (@aKey,'First_Name','John')
insert CONTENT_PARAMETER (aKey,[Name],[Value]) values (@aKey,'Last_Name','Smith')
insert CONTENT_PARAMETER (aKey,[Name],[Value]) values (@aKey,'Show_Body_Text_Type','2')
--insert CONTENT_PARAMETER (aKey,[Name],[Value]) values (@aKey,'Body_Text_Type_1','11111')
--insert CONTENT_PARAMETER (aKey,[Name],[Value]) values (@aKey,'Body_Text_Type_2','22222')
--insert CONTENT_PARAMETER (aKey,[Name],[Value]) values (@aKey,'Body_Text_Type_3','33333')

-- add a sales report as pdf attachment
set @aKey = newid()
insert EVENT_CONTENT (gKey,jKey,aKey,Src_Type,Path,[Format]) values (@gKey,@jKey,@aKey,2,'Misc/Sales_by_Region','PDF')

-- flag event ready
update EVENT_MASTER set Status=0 where gKey=@gKey